#include "d_hrb.h"

struct BLD_WORK bld_work;

void HariMain()
{
	api_initmalloc();
	dw.win = -1;
	dw.timer = -1;
	dw.timer1 = -1;
	dw.timer2= -1;
	dw.tmcount1 = dw.tmcount2 = 0;
	dw.wbuf = NULL;
	bl_main();
	if (dw.win != -1) {
		api_closewin(dw.win);
		dw.win = -1;
	}
	if (dw.timer != -1) {
		api_freetimer(dw.timer);
		dw.timer = -1;
	}
	if (dw.timer1 != -1) {
		api_freetimer(dw.timer1);
		dw.timer1 = -1;
	}
	if (dw.timer2 != -1) {
		api_freetimer(dw.timer2);
		dw.timer2 = -1;
	}
	if (dw.wbuf != NULL) {
		api_free(dw.wbuf, dw.wsiz_x * (w.win[BL_SYSWIN].ysiz + 37));
		dw.wbuf = NULL;
	}
	api_end();
	return;
}

void *bld_malloc(unsigned int bytes)
{
	return api_malloc(bytes);
}

void bld_free(void *p, unsigned int bytes)
{
	api_free(p, bytes);
	return;
}

int bld_maxfonts()
{
	return 1024;	/* b */
}

void bld_lock()
{
	return;
}

void bld_unlock()
{
	return;
}
